<form *ngIf="metadata" name="deleteForm" (ngSubmit)="confirmDelete(metadata.id!)">
  <div class="modal-header">
    <h4 class="modal-title" data-cy="metadataDeleteDialogHeading" csiTranslate="entity.delete.title">Confirm delete operation</h4>

    <button type="button" class="btn-close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
  </div>

  <div class="modal-body">
    <csi-alert-error></csi-alert-error>

    <p id="csi-delete-metadata-heading" csiTranslate="microscopyuploadApp.metadata.delete.question" [translateValues]="{ id: metadata.id }">
      Are you sure you want to delete this Metadata?
    </p>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="cancel()">
      <fa-icon icon="ban"></fa-icon>&nbsp;<span csiTranslate="entity.action.cancel">Cancel</span>
    </button>

    <button id="csi-confirm-delete-metadata" data-cy="entityConfirmDeleteButton" type="submit" class="btn btn-danger">
      <fa-icon icon="times"></fa-icon>&nbsp;<span csiTranslate="entity.action.delete">Delete</span>
    </button>
  </div>
</form>
